View Issue Details

IDProjectCategoryView StatusLast Update
0005950Multi Theft Auto : San AndreasGeneralpublic2013-05-08 12:15
ReporterRansomAssigned Toccw 
PrioritylowSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformWindowsOSWindows 7OS VersionUltimate
Product Version1.0.4 
Target Version1.3.2Fixed in Version1.3.2 
Summary0005950: Turn off sounds when MTASA is minimized
Description

Scripters would really appreciate this. It is distracting when doing other things and when listening to music outside the game. :P

AK47s, whispy wind, water lapping, underwater bubbling... we've heard the 3 second loops 100,000 times! Hellllp.

TagsNo tags attached.

Relationships

has duplicate 0006676 closed New issues When MTA is minimized it still playing the game's and MTA's sounds 

Activities

arranTuna

2011-02-26 19:00

manager   ~~0012996

So so true.

MX_Master

2011-02-26 20:47

viewer   ~~0012997

boring sounds named 'antiAFK' (:

Dragon

2011-03-04 17:00

reporter   ~~0013013

maybe when the focus is lost but definitely not when the menu is open. that would be weird.

ccw

2011-03-04 23:47

administrator   ~~0013017

When focus is lost, shouldn't all sound be muted?

Talidan

2011-03-04 23:50

administrator   ~~0013018

Although it can be annoying, i sometimes prefer the option of having this as you can hear people playing int he background, or if someone has joined the server.

Doesn't bother me too much either way though

Ransom

2011-03-05 00:07

administrator   ~~0013021

Had a think... its probably best to do what most modern games do.

  1. Play sounds while in the menu, players may be temporarily setting something and want to hear whats going on.

  2. Play sounds when focus is lost in windowed mode. However, if it is MINIMIZED to the taskbar, mute all sound.

  3. Minimize from fullscreen is also a mute.

Thus, windowed mode keeps the option open to always have sound running no matter what while also the option to mute it.

arranTuna

2011-08-05 10:36

manager   ~~0014147

http://code.google.com/p/mtasa-blue/source/detail?r=2905

Then using http://code.google.com/p/mtasa-blue/source/detail?r=2945

To make it disable only when minimized.

Ransom

2012-01-07 01:21

administrator   ~~0015654

Last edited: 2012-01-07 01:44

LooooP brought to my attention this is not fixed internally in MTA -- the symptoms have been attended to through scripting functions. Is this really practical?

There should be behavior built in like I described in the note above.

LooooP

2013-04-12 22:14

reporter   ~~0018337

Patch (voice mute part may not work): http://www.upload.ee/files/3227501/_5950.patch.html

CWanted

2013-05-06 12:37

updater   ~~0018508

Still able to hear sounds.

ccw

2013-05-06 13:37

administrator   ~~0018511

Did you check the minimize options in Settings->Audio?

CWanted

2013-05-08 11:34

updater   ~~0018531

Now I don't know, I had to reinstall MTA completely.
Can I close this as "fixed"?

Issue History

Date Modified Username Field Change